Subject: Re: [Megaco] Response for Fully specified parameter in request

From: Christian Groves <[email-masked]>
Date: Tue, 14 Jan 2003 11:01:43 +1100

Hello Gokul,

I believe the behaviour which we adoopt in Megaco is that we are conservative
with what we send and liberal with what we receive. So I would say that as a MGC
you should be prepared for the case where you get fully specified response and
as a MG you should probably not send these fully specified responses. This is to
minimise error generation.

Christian

gokulc wrote:
> 
> Hi,
> 
> As per the ABNF all the parameters in the reply are valid. Now the question
> is if a Reply were received containing a parameter that was fully specified
> in the corresponding request, would it be regarded as invalid reply. I do
> not see any section in RFC 3015, which says so explicitly. Expecting
> clarification
> 
> Regards
> gokul
> 
> ***************************************************************************
> This message is proprietary to Future Software Limited (FSL)
> and is intended solely for the use of the individual to whom it
> is addressed. It may contain  privileged or confidential information
> and should not be circulated or used for any purpose other than for
> what it is intended.
> 
> If you have received this message in error, please notify the
> originator immediately. If you are not the intended recipient,
> you are notified that you are strictly prohibited from using,
> copying, altering, or disclosing the contents of this message.
> FSL accepts no responsibility for loss or damage arising from
> the use of the information transmitted by this email including
> damage from virus.
> ***************************************************************************
> _______________________________________________
> Megaco mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/megaco

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

---

From: Christian Groves <[email-masked]>
Date: Tue, 14 Jan 2003 11:01:43 +1100

Hello Gokul,

Christian